Bug 125498 - Oops when writing/reading large amounts of information from a USB memory stick
Oops when writing/reading large amounts of information from a USB memory stick
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 04:32 EDT by Miguel Quiros
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miguel Quiros 2004-06-08 04:32:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.7) Gecko/20040514

Description of problem:
If I mount an USB memory stick and try to write or read a large amount
of information, e.g.:
  cp -a largedirectory 
  cp largefile
the computer gets blocked and does not respond for a while. After one
minute or so, a lot of error messages (I/O error on /dev/sda1) appear
in the screen and I recover control of the console. At this moment, I
can umount the device but a number of error messages appear again. I
cannot mount the device again until I restart the computer.

The problem appears both with a fat32 and a ext2 partition in the
stick. It also appear with a second stick. The device worked well
before upgrading to Fedora Core 2.

There are no problems with small files or directories (the limit is
roughly 5-10 M or so) It looks like some sort of cache gets full and
this produces the oops. I have seen bug 121636 (closed) but I am not
sure if it is quite the same thing.

Version-Release number of selected component (if applicable):
util-linux-2.12-18

How reproducible:
Always

Steps to Reproduce:
1. Mount usb memory stick.
2. Copy a large file or directory to it.
3. 
    

Actual Results:  The computer gets blocked.

Expected Results:  File or directory copied.

Additional info:

The computer is a rather old Pentium II. It this related?
Comment 1 Elliot Lee 2004-06-11 13:56:31 EDT
This is a kernel problem. Please make sure to try the new kernel
update 2.6.6-1.427 to see if it helps.
Comment 2 Miguel Quiros 2004-06-12 05:15:00 EDT
Could this problem be related with disabling DMA?
I had disabled DMA at boot time because I have an old CD reader that
is not compatible with DMA.
But afterwards I have learned how to disable DMA only for this CD unit
(via hdparm) without needing to disable it at boot time for all disks
in the system. After doing this, the aparently unrelated problem with
the USB memory seems to have vanished. (?)
Does this make sense? I thought that DMA is only related with IDE
disks and it has nothing to do with SCSI ...
Comment 3 Dave Jones 2005-04-16 00:41:06 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.